LibreOffice 3.5 Debian spolszczenie


(jakubgross) #1

Witam, ściągnełem spolszczenie do libreoffice 3.5 na debianie. Problem w tym, że nie wiem gdzie je wgrać.

Z góry dziękuje za pomoc i pozdrawiam :slight_smile:


(Raf20076) #2

Jeśli twój Debian jest podłączony do Internetu, to możesz spolszczyć LibreOffice automatycznie z poziomu terminala. Uruchom terminal z prawami roota a w nim wpisz

 

sudo apt-get install libreoffice-l10n-pl libreoffice-help-pl potem wciśnij Enter i zrestartuj komputer


(jakubgross) #3
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu Libreoffice-l10n-pl
E: Nie udało się odnaleźć pakietu libreoffice-help-pl

#4
root@debian:/home/areh# aptitude search libreoffice-l10n-pl    
i A libreoffice-l10n-pl             - office productivity suite -- Polish langua
root@debian:/home/areh# aptitude search libreoffice-help-pl
i A libreoffice-help-pl             - Pakiet oprogramowania biurowego -- pliki p

Coś kiepsko szukasz.

 


(roobal) #5

Nie znalazło pakietu, bo wpisujesz z wielkiej litery, wszystko ma być pisane małą. Zwracaj uwagę na takie rzeczy, zamiast kopiować w ciemno wszystko co Ci podają.


(jakubgross) #6

Nic nie pomogło.


(saturno) #7

Pokaż:

cat /etc/apt/sources.list

(Raf20076) #8

Wyglada, że wogóle nie masz zainstalowanego LibreOffice, może najpierw

 

sudo apt-get install libreoffice

 

a potem

 

sudo apt-get install libreoffice-l10n-pl libreoffice-help-pl


(jakubgross) #9

Jak nie mam jak mam.


(Raf20076) #10

Ok uruchom w terminalu z prawami roota

synaptic

jeśli go nie masz w systemie to zainstaluj

apt-get install synaptic

Kiedy synaptic się uruchomi wyszukaj w nim

 

libreoffice-l10n-pl


(jakubgross) #11
root@KUBA:/home/kuba# sudo apt-get install libreoffice
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libreoffice jest już w najnowszej wersji.
libreoffice zaznaczony jako zainstalowany ręcznie.
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.

root@KUBA:/home/kuba# sudo apt-get install libreoffice-l10n-pl libreoffice-help-pl
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu libreoffice-l10n-pl
E: Nie udało się odnaleźć pakietu libreoffice-help-pl

Zawartość pliku sources.list:

# 

# deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 lxde-CD Binary-1 20131215-03:39]/ wheezy main

deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 lxde-CD Binary-1 20131215-03:39]/ wheezy main


deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

# wheezy-updates, previously known as 'volatile'
# A network mirror was not selected during install. The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://ftp.debian.org/debian/ wheezy-updates main
# deb-src http://ftp.debian.org/debian/ wheezy-updates main

(Raf20076) #12

uruchom w terminalu z prawami roota

synaptic

i zobacz czy tam masz

libreoffice-l10n-pl


(jakubgross) #13

Nie mam libreoffice-l10n-pl.


(Raf20076) #14

Sprubuje poszukać a międzyczasie, może spróbować ze spolszczeniem dla OpenOfiice na którym jest oparte libreOffice

sudo apt-get install openoffice.org-l10n-pl

Jakie środowisko graficzne używasz? Gnome, KDE, etc


(jakubgross) #15

Używam LXDE. :slight_smile:


(Raf20076) #16
Może by tak zainstalowac Spolszczenie dla środowiska Gnome, chociaż wiem że używasz LXDE

sudo apt-get install language-pack-gnome-pl language-pack-gnome-pl-base

i wtedy sprawdzić czy jest

 

libreoffice-l10n-pl.

Dobra już wiem instalowaleś debiana z cd romu więc musisz usunąć

 zawarośc pliku sources.list:

Usuń to

 

# deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 lxde-CD Binary-1 20131215-03:39]/ wheezy main

deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 lxde-CD Binary-1 20131215-03:39]/ wheezy main

 

i wpisać tak jak widzisz bez znaczka #

Wpisz to

 

deb http://ftp.debian.org/debian/ wheezy-updates main

deb-src http://ftp.debian.org/debian/ wheezy-updates main

Tak powinien wyglądać sources.list dla debiana wheezy

deb http://http.debian.net/debian wheezy main
deb-src http://http.debian.net/debian wheezy main

deb http://http.debian.net/debian wheezy-updates main
deb-src http://http.debian.net/debian wheezy-updates main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

(roobal) #17

Brakuje Ci repozytoriów, wykonaj poniższe polecenia.

 

su

echo -e "deb http://ftp.pl.debian.org/debian/ wheezy main non-free contrib\ndeb-src http://ftp.pl.debian.org/debian/ wheezy main non-free contrib\n\ndeb http://security.debian.org/ wheezy/updates main non-free contrib\ndeb-src http://security.debian.org/ wheezy/updates main non-free contrib\n\n# wheezy-updates, previously known as 'volatile'\n\ndeb http://ftp.pl.debian.org/debian/ wheezy-updates main non-free contrib\ndeb-src http://ftp.pl.debian.org/debian/ wheezy-updates main non-free contrib\n\n# Backports\n\ndeb http://ftp.pl.debian.org/debian/ wheezy-backports main non-free contrib" > /etc/apt/sources.list

apt-get update

(jakubgross) #18

Ok :slight_smile: dzięki teraz już wszystko mogę instalować. :stuck_out_tongue:

I jeszcze taki problem:

Zainstalowałem Adobe Flash Player poleceniem apt-get install flashplugin-nonfree.

Problem w tym, że jak np. chcę oglądać film na  youtube zamiast odtwarzacza nie wyświetla się nic.


(saturno) #19

Jeśli twój procesor nie wspiera SSE2 musisz zainstalować starszą flasha (jak poszukaj było na forum).


(jakubgross) #20

Może nie wspiera, bo to stary AMD Athlon XP 2000+ (1,67 GHz). :slight_smile: